Ruby - Bug #499

RubyGems [ CommandManager [ singleton 0000000
08/26/2008 05:30 PM - okkez (okkez _)

Status: Rejected
Priority: Normal
Assignee:

Target version:

ruby -v: Backport:

Description
=begin
okkez (00

lib/rubygems/command_manager.rb 00000000
Gem:CommandManager D0000000000000000000000

singleton 0000000000000000000000D00O000

0000000 Gem::CommandManager.instance 000000000000
00000000

0000000000oooooooono

00ooooooooo

Index: lib/rubygems/command_manager.rb

--- lib/rubygems/command_manager.rb  (revision 18866)
+++ lib/rubygems/command_manager.rb  (working copy)
@@ -4,6 +4,7 @@

See LICENSE.txt for permissions.

#++

+require 'singleton’

require 'timeout’

require 'rubygems/command'’

require 'rubygems/user_interaction'

@@ -15,12 +16,8 @@

# sub-commands supported by the gem command.
class CommandManager

include Userlnteraction

¢ include Singleton

- Return the authoritative instance of the command manager.

¢ def self.instance

- I

e end

- Register all the subcommands supported by the gem command.
def initialize

@commands = {}
Index: test/rubygems/test_gem_command_manager.rb

--- test/rubygems/test._gem_command_manager.rb (revision 18866)
+++ test/rubygems/test_ gem_command_manager.rb (working copy)
@@ -25,7 +25,7 @@
def setup
super

¢ @command_manager = Gem::CommandManager.new
e @command_manager = Gem::CommandManager.instance
end

def test_run_interrupt

Index: test/rubygems/functional.rb

--- test/rubygems/functional.rb (revision 18866)
+++ test/rubygems/functional.rb (working copy)
@@ -47,7 +47,7 @@

end

def test_all_command_helps
e mgr = Gem::CommandManager.new

e mgr = Gem::CommandManager.instance
mgr.command_names.each do |cmdname|
gem_nossl "help #cmdname}"
assert_match(/Usage: gem #{cmdname}/, @out,

okkez
okkez000@gmail.com
=end

History

#1 - 09/03/2008 11:35 AM - okkez (okkez _)

=begin
(10000000DooDoDoononoon

class A
def self.instance

@a ||= new # [0 @a [l class 0000000000 A DODODODOD

end
end
A.instance # => #<A:0xb7ce833c>
A.instance # => #<A:0xb7ce833c>

A.instance_variables # => ["@a"]

0000o0oDoooonoDoDonoD

gooobooooooooooooooooobOOOOOOOOODOOOO0ODODDDOO000DD
00000o0DocoobonooDooDonog

gooooooooooooooooOoooDog

goooooooooooooooooood
00obonooooo

=end

#2 - 09/03/2008 06:59 PM - ko1 (Koichi Sasada)
- Status changed from Open to Rejected

=begin
=end
